/*
	common.h

	original code: SASANO Takayoshi
	--- public domain, no warranty.
*/

#include <btron/btron.h>
#include <btron/hmi.h>
#include <tcode.h>
#include <errcode.h>
#include <bstdio.h>
#include <bstdlib.h>
#include <tstring.h>

/* $B%(%s%G%#%"%sJQ49$,I,MW$K$J$C$?;~$N$?$a$N!"3HD%MQ(B */
#define XeH(x)  (x)
#define XeW(x)  (x)

/* $BJ]B8BP>]$H$J$k%H%l!<%l%3!<%I$N;XDj(B */
#define	OPTION_VOBJ	(1 << 0)	// $B2>?H%l%3!<%IJ]B85v2D(B
#define	OPTION_TEXT	(1 << 1)	// $BJ8>O%l%3!<%IJ]B85v2D(B
#define	OPTION_FIG	(1 << 2)	// $B?^7A%l%3!<%IJ]B85v2D(B
#define	OPTION_FUSEN	(1 << 3)	// $BIUd5%l%3!<%IJ]B85v2D(B

#define	OPTION_VOBJNAME	(1 << 8)	// $B2>?HL>E83+(B
#define	OPTION_ADDNL	(1 << 9)	// $BE83+$7$?2>?HL>$N8e$K2~CJMn$rDI2C(B

#define	OPTION_MOVE	(1 << 16)	// $B%U%!%$%k=q$-=P$78e!"%H%l!<:o=|(B
#define	OPTION_NONAME	(1 << 17)	// $B%3%a%s%H$N$_!J%U%!%$%kL>>JN,!K(B
#define	OPTION_DEEP	(1 << 18)	// $B%H%l!<%G!<%?$NA*Br$r9T$&(B

#define	set_DEEP(x)	(((x) & 0x0f) << 24)	// $BA*BrBP>]%H%l!<;XDj(B
#define	get_DEEP(x)	(((x) >> 24) & 0x0f)	// $BA*BrBP>]%H%l!<<hF@(B

#define	OPTION_ALL	(OPTION_VOBJ | OPTION_TEXT | OPTION_FIG | OPTION_FUSEN)

/* $B%G%P%C%0MQ(B */
#ifdef	DEBUG
#define	DP(x)	printf x
#else
#define	DP(x)	/* */
#endif
#define	P(x)	printf x

/* tray2file_backend.c */
IMPORT	W	tray2file_backend(W fd, W option, TC *comment);
